{% extends "base.html.twig" %}
{% block body %}
    <div class="products">
        {% for product in products %}
            <div class="product">
                {% if product.img is not empty%}
                    <img src="/img/{{ product.img }}" alt="{{ product.name }}">
                {% endif %}
                <div class="name">
                    <h2>{{ product.name}}</h2>
                </div>
                <div class="desc">
                    <p>{{ product.desc}}</p>
                </div>
                <div class="price">
                    <p>
                        <b>{{ product.price | number_format(2, ',', '.') }}€</b>
                    </p>
                </div>
                <div id="msgsucc-{{ product.id }}" class="addmsg">
                    Successfully added!
                </div>
                <div>
                    <input id="ni-{{ product.id }}" type="number" value="0" min="0" max="10" placeholder="amount">
                    <input type="button" value="add" data-productId="{{ product.id }}" onclick="addButtonClicked('{{ product.id }}')">
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}
{% block footer %}
    <script type="application/javascript" src="/js/basket.js" async></script>
{% endblock %}